/*
// PROPRIETARY INFORMATION.  This software is proprietary to
// Silicon Grail Corporation, and is not to be reproduced,
// transmitted, or disclosed in any way without written permission.
//
// Produced by:
//  Silicon Grail Corporation
//  736 N. Seward
//  Hollywood, CA
//  USA 90038
//  323-871-9100
*/

#ifndef _CPI_Base_h_
#define _CPI_Base_h_

#include <CPI/CPI_Types.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
	const char	*rpiName;
	const char	*rpiDesc;
	const char	*upiAuthor;
	const char	*upiVersion;
	const char	*helpURL;		/* Can be NULL */
	const char	*aboutIconName; /* Can be NULL */
} RPI_PluginInfo;

#ifdef __cplusplus
}
#endif

#endif /* _CPI_Base_h_ */

